Forum Stats

  • 3,855,522 Users
  • 2,264,515 Discussions
  • 7,906,030 Comments

Discussions

app compatiblity solaris 7 -> solaris 2.6

Apps that I've created under solaris 7, have trouble under solaris 2.6. Is there a protocol to follow to get correct backward compatibility. I'm using SunCC4.2. (There is a reason for this, maybe not a good one.) In some instances I can get it to work by supplying several of the runtime libs from my system 7 machine (e.g. libC.so.5), but that seems hokey, if not illegal. Any pointers appreciated.
This discussion has been closed.